Subject: [rmcat] WGLC comments on draft-ietf-rmcat-sbd-05

From: Ingemar Johansson S <[email-masked]>
Date: Wed, 23 Nov 2016 09:54:01 +0000

Hi

I have read through draft-ietf-rmcat-sbd-05

First I must admit that I have not fully understood how the SBD algorithm works, after reading though the draft and to some extent through [Hayes-LCN14]  I do believe that I begin to get the necessary understanding.

What I originally missed was that the flow-grouping is the important element in all this, the different metrics (OWD, variance, skew, loss) are there to make it possible to make the flow grouping. It is not until section 3.3 that it becomes obvious to me :). It is perhaps obvious but it was not the case for me.
One suggestion would be that you add a section in the beginning (before section 1.1) that describes the method and briefly go through how the different metrics/signals are combined in order to achieve the flow grouping, it does not need to describe the nitty gritty details however.

Section 2:
+ There are a lot of definitions , see that all of these are not used (e.g num_VM, max_T, min_T), whereas some are missing (sum_MT) .

+ Minor Nit : Also see that there are two almost identical variables/constants N and M, I understand that M < N , it seems however like they are not that far away from one another (N=50 and M=30). Are these two needed or can one simplify the draft here ?

+ Would things be better if the definition are broken up in constants and variables

Section 2.1:
+ Quote "Usually M=N, though having M<N may be beneficial in certain circumstances." I guess this is based on empirical observations, do you have some examples of these circumstances ?

Section 3.3 :
+ As said above, if could be good to have a compressed description of the flow grouping already in the beginning of the draft.
+ Quote "For very large numbers of flows (e.g. hundreds), a more  complex clustering algorithm may be substituted". Is this available or outside the scope of this draft.

Section 3.5.1:
+ An alternative to the equation is a graph that illustrates an tapered window, here one can argue whether or not it is necessary to provide with all the details, especially for the part that describes the incremental computation of skew-est. I don't however have any strong opinion.

|
|     ---------------
|    /
|   /
|  /
| /
|/
---------------------------
1    F             M

Section 3.5.2
+ The same comment as for 3.5.1, not sure that all the details are necessary

/Ingemar
==================================
Ingemar Johansson  M.Sc.
Master Researcher

Ericsson AB
Wireless Access Networks
Labratoriegränd 11
971 28, Luleå, Sweden
Phone +46-1071 43042
SMS/MMS +46-73 078 3289
[email-masked]<mailto:[email-masked]>
www.ericsson.com

     No, you can´t tell people anything
         You've got to show 'em
              Bruce Springsteen
==================================